require "Vehicles/ISUI/ISVehicleMechanics";

local vanillaMechTooltipFn = ISVehicleMechanics["doMenuTooltip"];

ISVehicleMechanics["doMenuTooltip"] = function(self, part, option, lua, name)
	vanillaMechTooltipFn(self, part, option, lua, name);
	
	if lua == "uninstall" and part:getId() == "M151A2CabArmor"
	then
		option.toolTip.description = option.toolTip.description .. " <LINE> " .. " <ORANGE> Remove both doors first to be able to uninstall this part."
	end
end